PHP-инклюдинг в PHPRecipeBook

Дата публикации:
17.10.2006
Дата изменения:
26.10.2006
Всего просмотров:
1387
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHPRecipeBook 2.x
Уязвимые версии: PHPRecipeBook 2.36, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "g_rb_basedir" в сценарии classes/Import_MM.class.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: phprecipebook.sourceforge.net

Решение: Установите последнюю версию (2.37) с сайта производителя.

Ссылки: PHPRecipeBook <= 2.35 (g_rb_basedir) Remote File Include Exploit

или введите имя

CAPTCHA